hdx
=============================

Simple IP counting web service

Installing From Source
==============================

Clone the repo or if your `$GOPATH` is already set, run:

```bash
go get s.mcquay.me/dm/hdx
```
Once there, you can install by running

```bash
$ go install hdx/...
```

This will yield a binary called `hdxd`. `hdxd` comes with its own usage:


```bash
$ hdxd run -h

run hdxd with given options

Usage:
  app run [flags]

Flags: 
  -h, --help                  help for run
  -n, --host string           hostname
  -p, --port int              port (default -1)
```

`hdxd` can be run by giving these flags values.  For example:

```bash
$ hdxd run -p 8080
```

is the most basic way to run the application.  

Expects a Postgres DB with DBName 'hdx', DBUser 'dm' and running on localhost:5432

Running:

```bash
docker run --name some-postgres -p 5432:5432 -e POSTGRES_USER=dm -e POSTGRES_DB=hdx -d postgres
```

Should get you a postgres DB running you can use to try it out.
